curl --request GET \
--url https://api.vaults.fyi/beta/borrow/markets/nrt/{network}/{marketId}/{assetId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.vaults.fyi/beta/borrow/markets/nrt/{network}/{marketId}/{assetId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.vaults.fyi/beta/borrow/markets/nrt/{network}/{marketId}/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"supplyRate": 1,
"borrowRate": 1,
"utilizationRate": 1,
"totalSupplied": {
"native": "<string>",
"usd": "<string>"
},
"totalBorrowed": {
"native": "<string>",
"usd": "<string>"
},
"availableLiquidity": {
"native": "<string>",
"usd": "<string>"
},
"oraclePriceUsd": "<string>",
"collateralToBorrowAssetOraclePrice": "<string>"
}{
"statusCode": 123,
"error": "Bad Request",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Unauthorized",
"message": "An API key is required to access this service. Sign up at https://portal.vaults.fyi/signup to generate a key. We offer a Pay-As-You-Go plan so you only pay for what you use, with no commitments.",
"errorId": "<string>"
}{
"x402Version": 123,
"resource": {
"url": "<string>",
"description": "<string>",
"mimeType": "<string>",
"serviceName": "<string>",
"tags": [
"<string>"
],
"iconUrl": "<string>"
},
"error": "<string>",
"accepts": [
{
"scheme": "exact",
"network": "<string>",
"amount": "<string>",
"payTo": "<string>",
"maxTimeoutSeconds": 123,
"asset": "<string>",
"extra": {
"name": "<string>",
"version": "<string>"
}
}
],
"extensions": {}
}{
"error": "Forbidden",
"message": "This API key has exhausted its available credits. To resume service, please visit https://portal.vaults.fyi/signup to top-up your credits",
"errorId": "<string>"
}{
"error": "Not Found",
"message": "<string>"
}{
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Unprocessable Entity",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Internal Server Error",
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Service Unavailable",
"message": "<string>",
"errorId": "<string>"
}Get borrow market asset NRT data
Retrieves near-real-time data for one asset within one borrow market.
Authorizations
Path Parameters
Canonical network slug
mainnet, optimism, arbitrum, polygon, gnosis, base, unichain, swellchain, celo, worldchain, berachain, ink, bsc, hyperliquid, plasma, avalanche, katana, linea, mega-eth, monad, etherlink, robinhood Canonical market identifier
1Market asset identifier
1Response
Near-real-time data for a single borrow market asset
Near-real-time data for a single borrow market asset
Current supply rate for the market asset
x >= 0Current borrow rate for the market asset
x >= 0Current utilization rate derived from supplied and borrowed balances
x >= 0Current total supplied balance in native units and USD
Show child attributes
Show child attributes
Current total borrowed balance in native units and USD
Show child attributes
Show child attributes
Current available liquidity in native units and USD
Show child attributes
Show child attributes
Current lending protocol oracle price of the asset in USD, when available
Current protocol oracle price of the collateral asset denominated in the borrow asset

